﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LogSOM_InvalidXml' AND COLUMN_NAME = 'RequestTypeID')
	AND NOT EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.CONSTRAINT_TABLE_USAGE WHERE TABLE_NAME = 'LogSOM_InvalidXml' AND CONSTRAINT_NAME = 'FK_LogSOM_RequestType')
BEGIN 
PRINT 'Creating foreign key FK_LogSOM_RequestType on table LogSOM_InvalidXml'
ALTER TABLE [dbo].[LogSOM_InvalidXml]  WITH CHECK ADD  CONSTRAINT [FK_LogSOM_RequestType] FOREIGN KEY([RequestTypeID])
REFERENCES [LogSOM_RequestType] ([ID])
END
GO

